/* Themes changer */
.theme {
  position: fixed; 
  
  display: none; /* hidden by default */
   z-index: 66666;
  inset: 0;
  background: rgba(0, 0, 0, 0.75);
  }


 /* Themes changer */
.theme-selector {
  position: fixed;
  top: 20%;
  right: 0px;
  z-index: 2500;
    
}

.theme-trigger {
  background: var(--button-bg);
  color: var(--button-text-color);
   padding: 8px;

  border-radius: 12px;
  border-top-left-radius: 24px;
  border-bottom-right-radius: 24px;
   
   cursor: pointer;
  box-shadow: 0 2px 8px var(--shadow-color);
  border: 1px solid var(--button-border);
   font-size: 0.7rem;
    
}

 .theme-trigger:hover {
            background-color: var(--button-border);
            color: var(--button-bg);
        }
        
.overlay-theme { 
  position: relative;
   background: var(--card-bg);
  border: 1px solid var(--card-border);
  padding: 1rem;
  border-radius: 12px;
  display: flex;
  flex-direction: column;
  gap: 0.8rem;
  overflow-y: auto;
  margin: 1.5rem;
  max-width: 90%;
  max-height: 80%; 
  max-width: 320px;
  min-width: 200px;
  box-shadow: 0 8px 20px rgba(0,0,0,1);
  transform: rotate(-50%);
  bottom: 8rem;

  text-align: left;
}

.overlay-theme.hidden {
  display: none;
}

.overlay-theme p {
  font-size: 12px;
  margin: 4px;
}

.theme-option {
  display: flex;
  align-items: center;
  gap: 0.6rem;
  cursor: pointer; 
  padding: 4px;
  
  }

.theme-swatch {
  width: 24px;
  height: 24px;
  border-radius: 6px;
  border: 1px solid var(--card-border);
  font-size: 1rem;
  text-align: left;
  
}

.swatch-0 { background: var(--brand-color, #6C3BAA); 
}
.swatch-1 { background: #3BAA78; }
.swatch-2 { background: #c52929; }
.swatch-3  { background: #2972c5; } 
.swatch-4  { background: #fbff00; } 

.Button-button {
  padding: 4px; 
  background-color: #6C3BAA;
  color: #F7EFFF;
  border-radius: 4px;
  border: 1px solid var(--button-border);
  min-width: 50px;
  max-width: 100px;
  
}

.Button-button2 {
  padding: 4px; 
  background-color: #3BAA78;
  color: #021502;
  border-radius: 4px;
  border: 1px solid var(--button-border);
  min-width: 50px;
  max-width: 100px;
  
}

.Button-button3 {
  padding: 4px; 
  background-color: #c52929;
  color: #ffefef;
  border-radius: 4px;
  border: 1px solid var(--button-border);
  min-width: 50px;
  max-width: 100px;
  
}
 .Button-button4 {
  padding: 4px; 
  background-color:  #2972c5;;
  color: #eff5ff;
  border-radius: 4px;
  border: 1px solid var(--button-border);
  min-width: 50px;
  max-width: 100px;
  
}
.Button-button5 {
  padding: 4px; 
  background-color: #fbff00;
  color: #0a0900;
  border-radius: 4px;
  border: 1px solid var(--button-border);
  min-width: 50px;
  max-width: 100px;
}